Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1043906 - hosted engine deployment always try to add hosts to cluster named "default". If the cluster name is different host won't be automatically added to RHEVM.
Summary: hosted engine deployment always try to add hosts to cluster named "default"....
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-setup
Version: unspecified
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 3.5.0
Assignee: Sandro Bonazzola
QA Contact: movciari
URL:
Whiteboard: integration
Depends On: 1059950
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-12-17 12:38 UTC by Leonid Natapov
Modified: 2018-12-05 16:48 UTC (History)
6 users (show)

Fixed In Version: ovirt-3.5.0-alpha1
Doc Type: Bug Fix
Doc Text:
Previously, the hosted engine deployment would add additional hosts to the 'Default' cluster and hosts could not be added to the environment if this cluster had been renamed. Now, if the hosted engine deployment establishes that there is no cluster named 'Default' the user is prompted for the cluster name to which the host will be added.
Clone Of:
Environment:
Last Closed: 2015-02-11 20:39:35 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0161 normal SHIPPED_LIVE ovirt-hosted-engine-setup bug fix and enhancement update 2015-12-07 21:35:11 UTC
oVirt gerrit 25456 master MERGED bin: add the host to a specific cluster Never

Description Leonid Natapov 2013-12-17 12:38:42 UTC
hosted engine deployment always try to add hosts to  cluster named "Default". 
If the cluster name is different host won't be automatically added to RHEVM.

Use cases:
1.migrating existing database to hosted engine. If in existing DB cluster's name was other than Default the host won't be automatically added to the cluster.

2.Adding second or third,etc host to the existing RHEVM where cluster name other then Default will cause the same result.

Workaround:

Manually adding the hosts to the cluster.

Comment 1 Sandro Bonazzola 2014-04-02 09:58:53 UTC
Re-targeting to 3.5 since it changes the logic, the UX, and the setup flow.

Comment 2 Sandro Bonazzola 2014-04-02 11:33:11 UTC
Moving to modified for future 3.5.0 rebase

Comment 3 movciari 2014-05-30 09:22:44 UTC
sorry, putting it to verified was a missclick

Comment 5 errata-xmlrpc 2015-02-11 20:39:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0161.html


Note You need to log in before you can comment on or make changes to this bug.